org.apache.http.impl.io

## Class SocketOutputBuffer

- java.lang.Object
- - org.apache.http.impl.io.AbstractSessionOutputBuffer
  - - org.apache.http.impl.io.SocketOutputBuffer

- All Implemented Interfaces:
    BufferInfo, SessionOutputBuffer

  Deprecated.
  (4.3) use `SessionOutputBufferImpl`

      @NotThreadSafe
      @Deprecated
      public class SocketOutputBuffer
      extends AbstractSessionOutputBuffer

  `SessionOutputBuffer` implementation bound to a `Socket`.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketOutputBuffer(Socket socket, int buffersize, HttpParams params)` Deprecated. Creates an instance of this class.

  - ### Method Summary

    - ### Methods inherited from class org.apache.http.impl.io.AbstractSessionOutputBuffer

      `available, capacity, createTransportMetrics, flush, flushBuffer, getMetrics, init, length, write, write, write, writeLine, writeLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketOutputBuffer

          public SocketOutputBuffer(Socket socket,
                            int buffersize,
                            HttpParams params)
                             throws IOException

      Deprecated.
      Creates an instance of this class.
      Parameters:
        `socket` - the socket to write data to.
        `buffersize` - the size of the internal buffer. If this number is less than `0` it is set to the value of `Socket.getSendBufferSize()`. If resultant number is less than `1024` it is set to `1024`.
        `params` - HTTP parameters.
      Throws:
        `IOException`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.